Page MenuHomePhabricator

Harmonise Fortnox invoice reference
Closed, DeclinedPublic

Description

Originally: When registering an invoice payment the invoice number is normally used in the reference passed on to Fortnox. If the payment is combined with a donation the membership number is used as a Fortnox reference instead.
Request: Use the invoice reference in both cases, at the very least for the membership fee.
Status: Denied. Invoice and free payments are disconnected in the backend.

See also T189008: Include details in Paypal transaction

Event Timeline

Change 439498 had a related patch set uploaded (by Brian Wolff; owner: Anomie):
[mediawiki/core@master] SECURITY: Special:BotPasswords should reauthenticate

https://gerrit.wikimedia.org/r/439498

Change 439498 merged by jenkins-bot:
[mediawiki/core@master] SECURITY: Special:BotPasswords should reauthenticate

https://gerrit.wikimedia.org/r/439498

Removing tag added by releasetagger. Ticket reference in gerrit is incorrect

Vvjjkkii renamed this task from Harmonise Fortnox invoice reference to m3daaaaaaa.Jul 1 2018, 1:13 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: gerritbot.
CommunityTechBot renamed this task from m3daaaaaaa to Harmonise Fortnox invoice reference.Jul 2 2018, 4:35 PM
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: gerritbot.
Lokal_Profil closed this task as Resolved.EditedJul 26 2018, 10:24 AM
Lokal_Profil claimed this task.

Nu ska medlemsnumret alltid komma med till bokföringen. Om medlemmen väljer att betala en faktura via PayPal så ska fakturanumret vara med, tänk på att om medlemmen väljer att betala innehållet i fakturan istället för fakturan så kommer inte fakturanumret med. En faktura kommer vara markerad som betalad när allt innehåll har betalats oavsett hur det betalats.

Lokal_Profil changed the task status from Resolved to Declined.Jul 26 2018, 11:13 AM
Lokal_Profil updated the task description. (Show Details)
Lokal_Profil updated the task description. (Show Details)
Se4598 added a subscriber: Se4598.Sep 21 2018, 11:57 AM

For all viewers of this task comming from the announcement of MediaWiki Security release of 1.27.5 / 1.29.3 / 1.30.1 / 1.31.1 (Thu, 20 Sep 2018)

  • (T193237) Special:BotPasswords should require reauthenticate. No CVE was issued since this is a hardening measure.

The correct task is T194237: bot passwords should call checkLoginSecurityLevel